const menuIcon = document.querySelector(".menu-icon");
const menuList = document.querySelector("nav");
const hamburgerIcon = document.querySelector(".fa-solid");

menuIcon.addEventListener("click", () => {
    if (hamburgerIcon.classList[1] === "fa-bars") {
        hamburgerIcon.classList.add("fa-xmark");
        hamburgerIcon.classList.remove("fa-bars");
        menuList.style.display = "block";
    } else {
        hamburgerIcon.classList.add("fa-bars");
        hamburgerIcon.classList.remove("fa-xmark");
        menuList.style.display = "none";
    }
});

// Tlačítko go to top
// Zobrazení tlačítka od rolovaní části stránky (víc logické než až na konci)
window.onscroll = function () {
    scrollFunction();
};

function scrollFunction() {
    if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
        document.getElementById("scrollToTopBtn").style.display = "block";
    } else {
        document.getElementById("scrollToTopBtn").style.display = "none";
    }
}

// Posunout nahoru, když uživatel klikne na tlačítko
function scrollToTop() {
    document.body.scrollTop = 0; // Pro Safari
    document.documentElement.scrollTop = 0; // Pro ostatní prohlížeče
}


// Tlačítko sdílet
document.getElementById('shareButton').addEventListener('click', function() {
    if (navigator.share) {
        navigator.share({
            title: 'Sdílej tuto stránku',
            text: 'Toto je text, který se zobrazí při sdílení.',
            url: window.location.href
        })
        .then(() => console.log('Sdílení úspěšné'))
        .catch((error) => console.log('Chyba při sdílení', error));
    } else {
        // Zkopírovat pouze adresu URL do schránky
        const url = window.location.href;

        navigator.clipboard.writeText(url)
            .then(() => {
                alert('Adresa URL byla zkopírována do schránky. Nyní ji můžete vložit a sdílet.');
            })
            .catch((error) => {
                console.error('Chyba při kopírování do schránky:', error);
            });
    }
});